GET TaskStatusTypeTaskType?taskStatusTypeTaskTypeId={taskStatusTypeTaskTypeId}&taskStatusTypeId={taskStatusTypeId}&taskTypeId={taskTypeId}

Retrieves a companies task status types to task types association. These are read-only.

Request Information

URI Parameters

NameDescriptionTypeAdditional information
taskStatusTypeTaskTypeId

globally unique identifier

Required

taskStatusTypeId

globally unique identifier

Required

taskTypeId

globally unique identifier

Required

Body Parameters

None.

Response Information

Resource Description

On success, a list of task status types and task types associations

NameDescriptionTypeAdditional information
Data

Collection of TaskStatusTypeTaskType

None.

Total

integer

None.

Message

string

None.

Response Formats

application/json, text/json

Sample:
{
  "Data": [
    {
      "TaskStatusTypeTaskTypeId": "6e340c67-4a30-4552-aa35-6e58d8fec84b",
      "CompanyId": "b550933e-bd25-476a-86e2-8de1bfaec6ac",
      "TaskStatusTypeId": "8675deb3-e0cd-4d5c-b7b3-91c1f94675b6",
      "TaskStatusTypeName": "sample string 2",
      "SourceSystemId": "sample string 3",
      "TaskTypeId": "58e9a82d-cc48-4881-b757-a6fa0231c368",
      "TaskTypeName": "sample string 4",
      "Description": "sample string 5"
    },
    {
      "TaskStatusTypeTaskTypeId": "6e340c67-4a30-4552-aa35-6e58d8fec84b",
      "CompanyId": "b550933e-bd25-476a-86e2-8de1bfaec6ac",
      "TaskStatusTypeId": "8675deb3-e0cd-4d5c-b7b3-91c1f94675b6",
      "TaskStatusTypeName": "sample string 2",
      "SourceSystemId": "sample string 3",
      "TaskTypeId": "58e9a82d-cc48-4881-b757-a6fa0231c368",
      "TaskTypeName": "sample string 4",
      "Description": "sample string 5"
    }
  ],
  "Total": 1,
  "Message": "sample string 1"
}